Jump to content

Leaderboard

Popular Content

Showing content with the highest reputation on 10/05/2021 in all areas

  1. Assuming the hatch is associative, try this: (defun c:foo (/ lw s v) (if (setq s (ssget ":L" '((0 . "HATCH")))) (foreach e (vl-remove-if 'listp (mapcar 'cadr (ssnamex s))) (and (setq lw (cdr (assoc 330 (reverse (entget e))))) (setq v (cdr (assoc 38 (entget lw)))) (vla-put-elevation (vlax-ename->vla-object e) v) ) ) ) (princ) )
    1 point
  2. Hint : (entmake) function is missing DXF 38 group code... Try to fix it by adding it... Value should be derived from current UCS 3D space orientation in respect to OCS of LWPOLYLINE...
    1 point
  3. Having a bit of spare time, I thought I would make a hatch pattern similar to the OS marsh block marsh1.pat
    1 point
×
×
  • Create New...